javax.websocket

## Class EncodeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.websocket.EncodeException

- All Implemented Interfaces:
    Serializable

      public class EncodeException
      extends Exception

  A general exception that occurs when trying to encode a custom object to a string or binary message.
  Author:
    dannycoward
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncodeException(Object object, String message)` Constructor with the object being encoded, and the reason why it failed to be.
    `EncodeException(Object object, String message, Throwable cause)` Constructor with the object being encoded, and the reason why it failed to be, and the cause.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getObject()` Return the Object that could not be encoded.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EncodeException

          public EncodeException(Object object,
                         String message)

      Constructor with the object being encoded, and the reason why it failed to be.
      Parameters:
        `object` - the object that could not be encoded.
        `message` - the reason for the failure.

    - #### EncodeException

          public EncodeException(Object object,
                         String message,
                         Throwable cause)

      Constructor with the object being encoded, and the reason why it failed to be, and the cause.
      Parameters:
        `object` - the object that could not be encoded.
        `message` - the reason for the failure.
        `cause` - the cause of the problem.

  - ### Method Detail

    - #### getObject

          public Object getObject()

      Return the Object that could not be encoded.
      Returns:
        the object.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.